public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/level-zero/
Date: Sat,  5 Oct 2024 23:00:31 +0000 (UTC)	[thread overview]
Message-ID: <1728169085.656fdc34a36b33111cc53e453c4e55977ecd92cc.conikost@gentoo> (raw)

commit:     656fdc34a36b33111cc53e453c4e55977ecd92cc
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  5 22:56:30 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Oct  5 22:58:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=656fdc34

dev-libs/level-zero: add 1.17.45

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-libs/level-zero/Manifest                  |  1 +
 dev-libs/level-zero/level-zero-1.17.45.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-libs/level-zero/Manifest b/dev-libs/level-zero/Manifest
index 55cb032044cd..83f161b3529a 100644
--- a/dev-libs/level-zero/Manifest
+++ b/dev-libs/level-zero/Manifest
@@ -1 +1,2 @@
 DIST level-zero-1.17.42.tar.gz 1152554 BLAKE2B a9b2054a620735490d1ff0f0a7e35e96bfe80531cf738e11ae3316bc0ce06108304e6f55ca57c2392a7854d7015bf2bcab93aa9778784ec546da41e174a08298 SHA512 c16c8269c82888c80c226e2e67641a3dbe0dd49b7e00ce5b2b8f90ab1233ac4bba1032f0b00c9dd702b85e1f635210bc383ec0c7e74651514ac104f5d9e8300c
+DIST level-zero-1.17.45.tar.gz 1152376 BLAKE2B 24ed5569431cd116808f48f2b718666baa8ecbdf0f69b56e7ca5a25fe5266cba48ba05c06946abd4a57562c8342aefc7f9c34b707435b793fe723412f64180d6 SHA512 83d97ffe43c21286a845bb9d11504414972c944d9b06975ba9e7680802a92a260b6246f3605ed32e5e5dec358972fbb5cab49543559dc36cb164a9c3b6a69d73

diff --git a/dev-libs/level-zero/level-zero-1.17.45.ebuild b/dev-libs/level-zero/level-zero-1.17.45.ebuild
new file mode 100644
index 000000000000..4034c8711d28
--- /dev/null
+++ b/dev-libs/level-zero/level-zero-1.17.45.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="oneAPI Level Zero headers, loader and validation layer"
+HOMEPAGE="https://github.com/oneapi-src/level-zero"
+SRC_URI="https://github.com/oneapi-src/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/spdlog:="
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	# Don't hardcore -Werror
+	sed -e 's/-Werror//g' -i CMakeLists.txt || die
+
+	cmake_src_prepare
+
+	# According to upstream, release tarballs should contain this file but at least
+	# some of them do not. Fortunately it is trivial to make one ourselves.
+	echo "$(ver_cut 3)" > "${S}"/VERSION_PATCH || die
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSYSTEM_SPDLOG="ON"
+	)
+
+	cmake_src_configure
+}


             reply	other threads:[~2024-10-05 23:00 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-05 23:00 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-22 22:26 [gentoo-commits] repo/gentoo:master commit in: dev-libs/level-zero/ Conrad Kostecki
2024-10-22 22:26 Conrad Kostecki
2024-10-22 22:26 Conrad Kostecki
2024-09-29 14:57 Conrad Kostecki
2024-09-29 14:57 Conrad Kostecki
2024-09-15 13:35 Conrad Kostecki
2024-07-14 12:30 Conrad Kostecki
2024-06-17 22:31 Conrad Kostecki
2024-06-17 22:31 Conrad Kostecki
2024-05-26  0:59 Conrad Kostecki
2024-05-12 12:29 Conrad Kostecki
2024-05-05 18:56 Conrad Kostecki
2024-04-17 14:13 Conrad Kostecki
2024-04-17 11:39 Conrad Kostecki
2024-04-17 11:39 Conrad Kostecki
2024-03-09 13:57 Conrad Kostecki
2024-02-08 21:49 Conrad Kostecki
2024-02-08 21:49 Conrad Kostecki
2023-12-26  2:45 Conrad Kostecki
2023-12-12 22:16 Conrad Kostecki
2023-12-12 22:16 Conrad Kostecki
2023-11-12  0:24 Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-10-10 23:35 Conrad Kostecki
2023-10-02 18:40 Conrad Kostecki
2023-10-02 18:40 Conrad Kostecki
2023-09-09 19:54 Conrad Kostecki
2023-09-08 16:04 Conrad Kostecki
2023-08-26 23:42 Conrad Kostecki
2023-08-15 22:40 Conrad Kostecki
2023-08-15 22:40 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-07-25 21:00 Conrad Kostecki
2023-07-15 20:37 Conrad Kostecki
2023-06-24 21:36 Conrad Kostecki
2023-05-18 17:37 Conrad Kostecki
2023-05-18 17:37 Conrad Kostecki
2023-04-29 22:25 Conrad Kostecki
2023-04-10 18:38 Conrad Kostecki
2023-04-09 19:35 Conrad Kostecki
2023-04-09 19:35 Conrad Kostecki
2023-03-08 14:57 Conrad Kostecki
2023-03-04  0:00 Conrad Kostecki
2023-03-04  0:00 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2023-01-31 15:17 Conrad Kostecki
2022-12-13 21:58 Conrad Kostecki
2022-11-10  0:10 Conrad Kostecki
2022-11-10  0:10 Conrad Kostecki
2022-10-10 21:00 Conrad Kostecki
2022-08-21  0:31 Conrad Kostecki
2022-08-21  0:31 Conrad Kostecki
2022-07-23 12:30 Conrad Kostecki
2022-07-19 19:38 Conrad Kostecki
2022-05-21 13:52 Conrad Kostecki
2022-05-12 21:20 Conrad Kostecki
2022-04-11 20:58 Conrad Kostecki
2022-04-11 20:58 Conrad Kostecki
2022-03-12 11:52 Conrad Kostecki
2022-02-20 15:11 Conrad Kostecki
2022-02-20 15:11 Conrad Kostecki
2022-01-20 23:56 Conrad Kostecki
2022-01-20 22:58 Conrad Kostecki
2022-01-20 22:58 Conrad Kostecki
2021-12-20 10:20 Conrad Kostecki
2021-12-15 18:03 Conrad Kostecki
2021-12-15 18:03 Conrad Kostecki
2021-11-14 13:57 Conrad Kostecki
2021-11-07 12:37 Conrad Kostecki
2021-11-07 12:37 Conrad Kostecki
2021-10-19 19:11 Conrad Kostecki
2021-10-07 16:55 Conrad Kostecki
2021-09-21 18:26 Conrad Kostecki
2021-09-21  6:35 Agostino Sarubbo
2021-09-18 21:47 Conrad Kostecki
2021-08-19 11:59 Conrad Kostecki
2021-08-16 17:12 Conrad Kostecki
2020-11-03 11:49 Marek Szuba
2020-11-03 11:40 Marek Szuba
2020-08-24 17:19 Marek Szuba
2020-04-23 21:11 Marek Szuba
2020-04-23 11:01 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1728169085.656fdc34a36b33111cc53e453c4e55977ecd92cc.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox